# Record TCefPrintSettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPrintSettings = record`

## Description

Structure representing print settings.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPrintSettings.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_settings_capi.h">CEF source file: /include/capi/cef_print_settings_capi.h (cef_print_settings_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefPrintSettings): Integer; stdcall;`
| `is_read_only: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_orientation: procedure(self: PCefPrintSettings; landscape: Integer); stdcall;`
| `is_landscape: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_printer_printable_area: procedure(self: PCefPrintSettings; const physical_size_device_units: PCefSize; const printable_area_device_units: PCefRect; landscape_needs_flip: Integer); stdcall;`
| `set_device_name: procedure(self: PCefPrintSettings; const name: PCefString); stdcall;`
| `get_device_name: function(self: PCefPrintSettings): PCefStringUserFree; stdcall;`
| `set_dpi: procedure(self: PCefPrintSettings; dpi: Integer); stdcall;`
| `get_dpi: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_page_ranges: procedure(self: PCefPrintSettings; rangesCount: NativeUInt; ranges: PCefRange); stdcall;`
| `get_page_ranges_count: function(self: PCefPrintSettings): NativeUInt; stdcall;`
| `get_page_ranges: procedure(self: PCefPrintSettings; rangesCount: PNativeUInt; ranges: PCefRange); stdcall;`
| `set_selection_only: procedure(self: PCefPrintSettings; selection_only: Integer); stdcall;`
| `is_selection_only: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_collate: procedure(self: PCefPrintSettings; collate: Integer); stdcall;`
| `will_collate: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_color_model: procedure(self: PCefPrintSettings; model: TCefColorModel); stdcall;`
| `get_color_model: function(self: PCefPrintSettings): TCefColorModel; stdcall;`
| `set_copies: procedure(self: PCefPrintSettings; copies: Integer); stdcall;`
| `get_copies: function(self: PCefPrintSettings): Integer; stdcall;`
| `set_duplex_mode: procedure(self: PCefPrintSettings; mode: TCefDuplexMode); stdcall;`
| `get_duplex_mode: function(self: PCefPrintSettings): TCefDuplexMode; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_orientation: procedure(self: PCefPrintSettings; landscape: Integer); stdcall;`
This item has no description.

| `is_landscape: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_printer_printable_area: procedure(self: PCefPrintSettings; const physical_size_device_units: PCefSize; const printable_area_device_units: PCefRect; landscape_needs_flip: Integer); stdcall;`
This item has no description.

| `set_device_name: procedure(self: PCefPrintSettings; const name: PCefString); stdcall;`
This item has no description.

| `get_device_name: function(self: PCefPrintSettings): PCefStringUserFree; stdcall;`
This item has no description.

| `set_dpi: procedure(self: PCefPrintSettings; dpi: Integer); stdcall;`
This item has no description.

| `get_dpi: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_page_ranges: procedure(self: PCefPrintSettings; rangesCount: NativeUInt; ranges: PCefRange); stdcall;`
This item has no description.

| `get_page_ranges_count: function(self: PCefPrintSettings): NativeUInt; stdcall;`
This item has no description.

| `get_page_ranges: procedure(self: PCefPrintSettings; rangesCount: PNativeUInt; ranges: PCefRange); stdcall;`
This item has no description.

| `set_selection_only: procedure(self: PCefPrintSettings; selection_only: Integer); stdcall;`
This item has no description.

| `is_selection_only: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_collate: procedure(self: PCefPrintSettings; collate: Integer); stdcall;`
This item has no description.

| `will_collate: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_color_model: procedure(self: PCefPrintSettings; model: TCefColorModel); stdcall;`
This item has no description.

| `get_color_model: function(self: PCefPrintSettings): TCefColorModel; stdcall;`
This item has no description.

| `set_copies: procedure(self: PCefPrintSettings; copies: Integer); stdcall;`
This item has no description.

| `get_copies: function(self: PCefPrintSettings): Integer; stdcall;`
This item has no description.

| `set_duplex_mode: procedure(self: PCefPrintSettings; mode: TCefDuplexMode); stdcall;`
This item has no description.

| `get_duplex_mode: function(self: PCefPrintSettings): TCefDuplexMode; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.